// creator  : weidu.exe (version 23100)
// argument : _GIRBA2.DLG
// game		 : .
// source	 : ./override/_GIRBA2.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_GIRBA2~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #0 ~NumberOfTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #80888 /* ~I spent the whole week with dad.  I wish travel were safer; he's kind of boring to play with.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #1 ~NumberOfTimesTalkedTo(1)
~ THEN BEGIN 1 // from:
  SAY #80889 /* ~People aren't smiling as much as they used to.  Everybody should cheer up.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #3 /* Triggers after states #: 3 even though they appear after this state */
~True()
~ THEN BEGIN 2 // from:
  SAY #80890 /* ~Some of the girls are saving up for swords, but I think they're silly.  I want a bow.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #2 ~StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 3 // from:
  SAY #80891 /* ~Can you give me a dolly?~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 4 // from:
  SAY #75387 /* ~Leave me alone!  You're mean!~ */
  IF ~~ THEN EXIT
END
